## com.typesafe.config
Class ConfigException.NotResolved

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  com.typesafe.config.ConfigException
                      com.typesafe.config.ConfigException.BugOrBroken
                          com.typesafe.config.ConfigException.NotResolved

All Implemented Interfaces:
  Serializable

Enclosing class:
  ConfigException

    public static class ConfigException.NotResolved

extends ConfigException.BugOrBroken

Exception indicating that you tried to use a function that requires substitutions to be resolved, but substitutions have not been resolved (that is, `Config.resolve()` was not called). This is always a bug in either application code or the library; it's wrong to write a handler for this exception because you should be able to fix the code to avoid it by adding calls to `Config.resolve()`.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class com.typesafe.config.ConfigException
`ConfigException.BadPath, ConfigException.BadValue, ConfigException.BugOrBroken, ConfigException.Generic, ConfigException.IO, ConfigException.Missing, ConfigException.NotResolved, ConfigException.Null, ConfigException.Parse, ConfigException.UnresolvedSubstitution, ConfigException.ValidationFailed, ConfigException.ValidationProblem, ConfigException.WrongType`

Constructor Summary
`ConfigException.NotResolved(String message)`
`ConfigException.NotResolved(String message, Throwable cause)`

Method Summary

Methods inherited from class com.typesafe.config.ConfigException
`origin`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ConfigException.NotResolved

    public ConfigException.NotResolved(String message,
                                       Throwable cause)

### ConfigException.NotResolved

    public ConfigException.NotResolved(String message)